Package org.jboss.resteasy.plugins.delegates

## Class MediaTypeHeaderDelegate

- java.lang.Object
- - org.jboss.resteasy.plugins.delegates.MediaTypeHeaderDelegate

- All Implemented Interfaces:
    `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.MediaType>`

      public class MediaTypeHeaderDelegate
      extends Object
      implements javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.MediaType>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MediaTypeHeaderDelegate` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaTypeHeaderDelegate()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearCache()` |
    `javax.ws.rs.core.MediaType` | `fromString​(String type)` |
    `protected static boolean` | `isValid​(String str)` |
    `static javax.ws.rs.core.MediaType` | `parse​(String type)` |
    `static boolean` | `quoted​(String str)` |
    `String` | `toString​(javax.ws.rs.core.MediaType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final MediaTypeHeaderDelegate INSTANCE

  - ### Constructor Detail

    - #### MediaTypeHeaderDelegate

          public MediaTypeHeaderDelegate()

  - ### Method Detail

    - #### fromString

          public javax.ws.rs.core.MediaType fromString​(String type)
                                                throws IllegalArgumentException

      Specified by:
        `fromString` in interface `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.MediaType>`
      Throws:
        `IllegalArgumentException`

    - #### isValid

          protected static boolean isValid​(String str)

    - #### parse

          public static javax.ws.rs.core.MediaType parse​(String type)

    - #### quoted

          public static boolean quoted​(String str)

    - #### toString

          public String toString​(javax.ws.rs.core.MediaType type)

      Specified by:
        `toString` in interface `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.MediaType>`

    - #### clearCache

          public static void clearCache()